跳转到主要内容
POST
/
api
/
open-api
/
v1
/
seedance
/
videos
Create Seedance Video Task
curl --request POST \
  --url https://www.jimmyai.cn/api/open-api/v1/seedance/videos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "prompt": "<string>",
  "duration": 123,
  "images": [
    "<string>"
  ],
  "ratio": "<string>",
  "first_image": "<string>",
  "last_image": "<string>",
  "reference_videos": [
    "<string>"
  ],
  "reference_audios": [
    "<string>"
  ]
}
'
{
  "code": "20000",
  "msg": "ok",
  "data": {
    "task_id": "<string>",
    "status": "<string>",
    "model": "<string>",
    "created_at": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.jimmyai.cn/llms.txt

Use this file to discover all available pages before exploring further.

Seedance 2.0 视频生成中引用的任何素材(包括参考图 images、首帧图片 first_image、尾帧图片 last_image、参考视频 reference_videos、参考音频 reference_audios必须先通过 提交素材审核 接口进行审核并取得 assetId在调用创建视频接口时,引用链接必须使用格式asset://{assetId}。直接传入普通的 HTTP/HTTPS 链接或未审核的地址会导致请求失败。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
model
string
必填

Model name (e.g., sd2_mx_720p, sd2_mx_1080p, sd2_mx_2k, sd2_mx_4k)

prompt
string
必填

Text prompt for video generation

duration
integer
必填

Duration in seconds

orientation
enum<string>

Video orientation (ignored if ratio is provided)

可用选项:
landscape,
portrait
images
string[]

List of reference image asset links in the format asset://{assetId} (must submit and obtain assetId via asset audit endpoint first)

ratio
string

Aspect ratio of output video (e.g., 16:9, 9:16, 1:1, 4:3, 3:4, 21:9, Adaptive)

first_image
string

First frame image asset link in the format asset://{assetId} (must submit and obtain assetId via asset audit endpoint first)

last_image
string

Last frame image asset link in the format asset://{assetId} (must submit and obtain assetId via asset audit endpoint first)

reference_videos
string[]

List of reference video asset links in the format asset://{assetId} (must submit and obtain assetId via asset audit endpoint first)

reference_audios
string[]

List of reference audio asset links in the format asset://{assetId} (must submit and obtain assetId via asset audit endpoint first)

响应

200 - application/json

Task created successfully

code
string
示例:

"20000"

msg
string
示例:

"ok"

data
object